#include <iostream>
#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    int l;
    cin >> n >> l;
    for (int i = 0; i<n; i++){
        int h;
        cin >> h;
        if (h <= l){
            cout << i+1 << endl;
            return 0;
        }
    }
    cout << -1 << endl;
    return 0;
}